Bug 398124 - Desktop Effects -> Track Mouse cannot change shortcut
Summary: Desktop Effects -> Track Mouse cannot change shortcut
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-various (show other bugs)
Version: 5.13.4
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-01 08:58 UTC by Andrew
Modified: 2018-09-12 13:37 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.14.0


Attachments
video of the error (926.91 KB, video/x-matroska)
2018-09-01 08:58 UTC, Andrew
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2018-09-01 08:58:35 UTC
Created attachment 114731 [details]
video of the error

I want to change shortcut but it's not possible because it falls back to default
Comment 1 Vlad Zahorodnii 2018-09-02 09:10:03 UTC
Well, the KCM changes the shortcut, it just doesn't show it in the KKeySequenceWidget.

The shortcut feature had been introduced by 302a245d0e00db4fe53c30b5b9717350a3493369. It looks like back then, you could change the shortcut only if you uncheck all modifiers.

@Andrew
If you uncheck all modifiers and set new shortcut, the Track Mouse **should** work. You just won't see the shortcut in the KCM.

I'm not a UX expert, but I'm pretty sure that from UX perspective the whole thing is broken.
Comment 2 Vlad Zahorodnii 2018-09-12 13:37:16 UTC
Git commit 74994a7fbda0432e7b3773e053e4c8c940f66a53 by Vlad Zagorodniy.
Committed on 12/09/2018 at 13:37.
Pushed by vladz into branch 'master'.

[effects/trackmouse] Allow to use both modifiers and shortcut

Summary:
The Track Mouse effect can be toggled either by pressing modifier keys
and moving mouse or by pressing a shortcut. It's not possible to use
the latter and then the former without changing config.

But there is one caveat, in order to use shortcut, you have to uncheck
all modifier keys. This seems to be not very intuitive.

In addition to that, the KCM allows to change shortcut even if there is
some checked modifier.

As the title says, this change makes possible to use both modifier keys
and shortcut to activate this effect without changing config.

KCM:
{F6237308, layout=center, size=full}
FIXED-IN: 5.14.0

Reviewers: #kwin, #plasma, #vdg, davidedmundson

Reviewed By: #kwin, #plasma, #vdg, davidedmundson

Subscribers: broulik, abetts, ngraham, kwin

Tags: #kwin

Differential Revision: https://phabricator.kde.org/D15272

M  +57   -30   effects/trackmouse/trackmouse.cpp
M  +9    -1    effects/trackmouse/trackmouse.h
M  +9    -13   effects/trackmouse/trackmouse_config.cpp
M  +0    -1    effects/trackmouse/trackmouse_config.h
M  +33   -63   effects/trackmouse/trackmouse_config.ui

https://commits.kde.org/kwin/74994a7fbda0432e7b3773e053e4c8c940f66a53